clang-tools 8.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
llvm::yaml::NormalizedPosition Struct Reference
Collaboration diagram for llvm::yaml::NormalizedPosition:
[legend]

## Public Types
using | Position = clang::clangd::SymbolLocation::Position

## Public Member Functions
| NormalizedPosition (IO &)
| NormalizedPosition (IO &, const Position &Pos)
Position | denormalize (IO &)

## Public Attributes
YPosition | P

## Detailed Description

Definition at line 114 of file YAMLSerialization.cpp.

## Member Typedef Documentation

## ◆ Position

using llvm::yaml::NormalizedPosition::Position = clang::clangd::SymbolLocation::Position

Definition at line 115 of file YAMLSerialization.cpp.

## Constructor & Destructor Documentation

## ◆ NormalizedPosition() [1/2]

llvm::yaml::NormalizedPosition::NormalizedPosition | ( | IO & |  | ) |
| inline

Definition at line 116 of file YAMLSerialization.cpp.

## ◆ NormalizedPosition() [2/2]

llvm::yaml::NormalizedPosition::NormalizedPosition | ( | IO & | ,
|  | const Position & | Pos
| ) |  |
| inline

Definition at line 117 of file YAMLSerialization.cpp.

References clang::clangd::SymbolLocation::Position::column(), and clang::clangd::SymbolLocation::Position::line().

## Member Function Documentation

## ◆ denormalize()

Position llvm::yaml::NormalizedPosition::denormalize | ( | IO & |  | ) |
| inline

Definition at line 122 of file YAMLSerialization.cpp.

References Pos, clang::clangd::SymbolLocation::Position::setColumn(), and clang::clangd::SymbolLocation::Position::setLine().

## Member Data Documentation

## ◆ P

YPosition llvm::yaml::NormalizedPosition::P

Definition at line 128 of file YAMLSerialization.cpp.

The documentation for this struct was generated from the following file:

- YAMLSerialization.cpp